' File name: RegDlg.inc
' Project:  Register Dialog

Global LogFile as String
dim FstSlash as integer
dim SndSlash as integer


'*** Check for "c:\temp" create if needed ***
if EXISTS ( "c:\temp" , "+d" )<> true then
	mkdir "c:\temp"
end if
FstSlash = instr(1, date,"/")					'*** Get location of first slash ***
SndSlash = instr(instr(1, date,"/")+1,date,"/")	'*** Get location of second slash ***
'*** Convert "/" to "-" ***
LogFile = "c:\temp\" + Volume$("c") + mid(date,1,FstSlash-1) + "-" + mid(date,FstSlash + 1,len(mid(date,1,SndSlash))- FstSlash -1) + "-" + mid(date,SndSlash + 1) + ".log"

	

 



Function Hex2Bin(HexVal as String) as String
Dim i As Integer
Dim b1 As String, b2 As string, b3 As String, b4 As String
Dim RetVal as String
b1 = "0"
b2 = "0"
b3 = "0"
b4 = "0"

i = Val("&H" + HexVal)
If i > 15 then
   Log "Register Value not Hex Value"
End if
If i >= 8 Then
   b1 = "1"
   i = i - 8
End If
If i >= 4 Then
   b2 = "1"
   i = i - 4
End If
If i >= 2 Then
   b3 = "1"
   i = i - 2
End If
If i = 1 Then
   b4 = "1"
End If
Hex2Bin = b1+b2+b3+b4

End Function




Function ReadReg(Control as String, Value as String) as String
Dim RawData as String
'*** Insert Address into EditBox Press enter ***
EditText("#101") = Value
WButtonClick("#103")
'*** Get Data/Compare ***
RawData = EditText("#102")

if Val(RawData) = Val(Value) then
   ReadReg = "Passed"
   Exit Function
Else
   ReadReg = "Fail" + Value + " dose not ="+ RawData
   Exit Function
End If
End Function




Function LogData(Report as String)
Dim FNum as Integer

FNum = FreeFile

Open LogFile For  APPEND as FNum
   Print# FNum , Report
Close FNum
End Function 





