' File name: asymetrix.inc
' Project:  Register Dialog

'ColorLevels
'Brightness	   Contrast	   Saturation	   Hue
'  0% = 0		0% = 0		0% = 0		 0% = 0
' 25% = 64	   25% = 46	   25% = 46		25% = 46
' 50% = 128	   50% = 128   50% = 128	50% = 128
' 75% = 192	   75% = 192   75% = 192	75% = 192
'100% = 255	  100% = 255  100% = 255   100% = 255




'$INCLUDE 'REGDLG.INC'

Type Reg
   R1 as String 
   R2 as String
   R3 as String
   R4 as String
   R5 as String
   R6 as String
   R7 as String
   R8 as String
   R9 as String
End Type



Global VidCap32Exe as String
VidCap32Exe =  "\\horus\848install\tools\VIDCAP32.exe"





'*** Change Image Dimensions and Check there Val's ***
Function ImageDimensions(Size as Single, Mode as String) as String
'*** Size format .25, .5 or 1 ***
Dim Register as Reg

If Mode = "OverLay" then
   Register.R1 = "8C"
   Register.R2 = "90"
   Register.R3 = "94"
   Register.R4 = "98"
   Register.R5 = "9C"
   Register.R6 = "A0"
   Register.R7 = "A4"
   Register.R8 = "CC"
   Register.R9 = "D0"
Else
   Register.R1 = "0C"
   Register.R2 = "10"
   Register.R3 = "14"
   Register.R4 = "18"
   Register.R5 = "1C"
   Register.R6 = "20"
   Register.R7 = "24"
   Register.R8 = "4C"
   Register.R9 = "50"
End if


Dim RetVal as String
Dim Raw as String
Dim Report as String

On Local Error GoTo MsgRecover


Report = "*** Changing Image Dimension to " + Str$(Size) + " ***"
LogData(Report) 
'*** Set VidCap32 to Focus ***
   WFndWndWait("VidCap", FW_FOCUS or FW_PART)
   WMenuSelect("&Options\Video &Format...")
   Sleep(.25)
'*** Video Format Dialog Box ***
WFndWndWait("Video Format", FW_FOCUS)

Select Case Size
Case .25   
   WButtonClick("#204")	'*** Click 1/4 Button ***
   WButtonClick("#1")	'*** Click OK Button ***
   Sleep 2
   WFndWndWait("VidCap", FW_FOCUS or FW_PART, Timeout)

   Raw = Mid$(Check(Register.R1),7,2)
   if Raw <> "10" then
      Report = "FAILED Changing to 1/4 Scale, Register "+ Register.R1+" = " + Raw
	  LogData(Report)
   End if
   Raw = Mid$(Check(Register.R2),7,2)
   if Raw <> "1C" then
      Report = "FAILED Changing to 1/4 Scale, Register "+ Register.R2+ " = " + Raw
	  LogData(Report)
   End if
   Raw = Mid$(Check(Register.R3),7,2)
   if Raw <> "F4" then
      Report = "FAILED Changing to 1/4 Scale, Register " + Register.R3+ " = " + Raw
	  LogData(Report)
   End if
   Raw = Mid$(Check(Register.R4),7,2)
   if Raw <> "22" then
      Report = "FAILED Changing to 1/4 Scale, Register " + Register.R4+ " = " + Raw
	  LogData(Report)
   End if
   Raw = Mid$(Check(Register.R5),7,2)
   if Raw <> "A0" then
      Report = "FAILED Changing to 1/4 Scale, Register " + Register.R5+ " = " + Raw
	  LogData(Report)
   End if
   Raw = Mid$(Check(Register.R6),7,2)
   if Raw <> "39" then
      Report = "FAILED Changing to 1/4 Scale, Register " + Register.R6+ " = " + Raw
	  LogData(Report)
   End if
   Raw = Mid$(Check(Register.R7),7,2)
   if Raw <> "00" then
      Report = "FAILED Changing to 1/4 Scale, Register " + Register.R7+ " = " + Raw
	  LogData(Report)
   End if
   Raw = Mid$(Check(Register.R8),7,2)
   if Raw <> "7E" then
      Report =  "FAILED Changing to 1/4 Scale, Register " + Register.R8+ " = " + Raw
	  LogData(Report)
   End if
   Raw = Mid$(Check(Register.R9),7,2)
   if Raw <> "00" then
      Report = "FAILED Changing to 1/4 Scale, Register " + Register.R9+ " = " + Raw
	  LogData(Report)
   End if

Case .5
   WButtonClick("#203")	'*** Click 1/2 Button ***
   WButtonClick("#1")	'*** Click OK Button ***
   Sleep 2
   WFndWndWait("VidCap", FW_FOCUS or FW_PART)

   Raw = Mid$(Check(Register.R1),7,2)
   if Raw <> "11" then
      Report = "FAILED Changing to 1/2 Scale, Register " + Register.R1 + " = " + Raw
	  LogData(Report)
   End if
   Raw = Mid$(Check(Register.R2),7,2)
   if Raw <> "1A" then
      Report = "FAILED Changing to 1/2 Scale, Register " + Register.R2 + " = " + Raw
	  LogData(Report)
   End if
   Raw = Mid$(Check(Register.R3),7,2)
   if Raw <> "F4" then
      Report = "FAILED Changing to 1/2 Scale, Register " + Register.R3 + " = " + Raw
	  LogData(Report)
   End if
   Raw = Mid$(Check(Register.R4),7,2)
   if Raw <> "42" then
      Report = "FAILED Changing to 1/2 Scale, Register " + Register.R4 + " = " + Raw
	  LogData(Report)
   End if
   Raw = Mid$(Check(Register.R5),7,2)
   if Raw <> "40" then
      Report = "FAILED Changing to 1/2 Scale, Register " + Register.R5 + " = " + Raw
	  LogData(Report)
   End if
   Raw = Mid$(Check(Register.R6),7,2)
   if Raw <> "14" then
      Report = "FAILED Changing to 1/2 Scale, Register " + Register.R6 + " = " + Raw
	  LogData(Report)
   End if
   Raw = Mid$(Check(Register.R7),7,2)
   if Raw <> "80" then
      Report = "FAILED Changing to 1/2 Scale, Register " + Register.R7 + " = " + Raw
	  LogData(Report)
   End if
   Raw = Mid$(Check(Register.R8),7,2)
   if Raw <> "60" then
      Report = "FAILED Changing to 1/2 Scale, Register " + Register.R8 + " = " + Raw
	  LogData(Report)
   End if
   Raw = Mid$(Check(Register.R9),7,2)
   if Raw <> "00" then
      Report = "FAILED Changing to 1/2 Scale, Register " + Register.R9 + " = " + Raw
	  LogData(Report)
   End if

Case 1
   WButtonClick("#202")	'*** Click Full Button ***
   WButtonClick("#1")	'*** Click OK Button ***
   Sleep 2
   WFndWndWait("VidCap", FW_FOCUS or FW_PART)

   Raw = Mid$(Check(Register.R1),7,2)
   if Raw <> "12" then
      Report = "FAILED Changing to Full Scale, Register " + Register.R1 + " = " + Raw
	  LogData(Report)
   End if
   Raw = Mid$(Check(Register.R2),7,2)
   if Raw <> "1A" then
      Report = "FAILED Changing to Full Scale, Register " + Register.R2 + " = " + Raw
	  LogData(Report)
   End if
   Raw = Mid$(Check(Register.R3),7,2)
   if Raw <> "F4" then
      Report = "FAILED Changing to Full Scale, Register " + Register.R3 + " = " + Raw
	  LogData(Report)
   End if
   Raw = Mid$(Check(Register.R4),7,2)
   if Raw <> "82" then
      Report = "FAILED Changing to Full Scale, Register " + Register.R4 + " = " + Raw
	  LogData(Report)
   End if
   Raw = Mid$(Check(Register.R5),7,2)
   if Raw <> "80" then
      Report = "FAILED Changing to Full Scale, Register " + Register.R5 + " = " + Raw
	  LogData(Report)
   End if
   Raw = Mid$(Check(Register.R6),7,2)
   if Raw <> "02" then
      Report = "FAILED Changing to Full Scale, Register " + Register.R6 + " = " + Raw
	  LogData(Report)
   End if
   Raw = Mid$(Check(Register.R7),7,2)
   if Raw <> "40" then
      Report = "FAILED Changing to Full Scale, Register " + Register.R7 + " = " + Raw
	  LogData(Report)
   End if
   Raw = Mid$(Check(Register.R8),7,2)
   if Raw <> "60" then
      Report = "FAILED Changing to Full Scale, Register " + Register.R8 + " = " + Raw
	  LogData(Report)
   End if
   Raw = Mid$(Check(Register.R9),7,2)
   if Raw <> "00" then
      Report = "FAILED Changing to Full Scale, Register " + Register.R9 + " = " + Raw
	  LogData(Report)
   End if
Case Else
   '*** Button dose not exists exit ***
   Report =  "Button " + Str$(Size) + " Dose not Exists"	
   LogData(Report)
   Exit Function
End Select

Exit Function
MsgRecover:	
	'*** Dialogbox appears when invalid video mode is selected ***
	if  WFndWnd("VidCap", FW_DIALOG, Timeout) Then
	   Report = "Capture Error " + StaticText("#65535") + " Occurred"
	   LogData(Report)
	   WButtonClick("#2")
	End If
Resume
End Function





'*** Change Image Format and Check There Val's ***
Function ImageFormat(ImageType as String) as String
Dim Raw as String
Dim Report as String
Dim ErrorCondition As Integer

Report = "*** Changing Image Format to " + ImageType + " ***"
LogData(Report) 
	

On Local Error GoTo MsgRecover


'*** Set VidCap to Focus ***
WFndWndWait("VidCap", FW_FOCUS or FW_PART)
'*** Video Format Dialog Box ***
WMenuSelect("&Options\Video &Format...")
WFndWndWaitC("Video Format", "#32770", FW_FOCUS)


Select Case ImageType
Case "32 BIT RGB"
   WComboItemClk("#201", "32 bit RGBA")
   WButtonClick("#1")
   Sleep(1)
   WFndWndWait("VidCap", FW_FOCUS)
   Raw = Mid$(Check("D4"),8,1)
   if Raw <> "0" Then
     Report = "FAILED Changing to 32 Bit RGBA, Register D4 = " + Raw
	 LogData(Report)
   End if
Case "24 BIT RGB"
   WComboItemClk("#201", "24 bit RGB")
   WButtonClick("#1")
   Sleep(1)
   WFndWndWait("VidCap", FW_FOCUS)
   Raw = Mid$(Check("D4"),8,1)
   if Raw <> "1" Then
     Report = "FAILED Changing to 24 Bit RGB, Register D4 = " + Raw
	 LogData(Report)
   End if
Case "16 BIT RGB"
   WComboItemClk("#201", "16 bit RGB")
   WButtonClick("#1")
   Sleep(1)
   WFndWndWait("VidCap", FW_FOCUS)
   Raw = Mid$(Check("D4"),8,1)
   if Raw <> "2" Then
	 Report = "FAILED Changing to 16 Bit RGB, Register D4 = " + Raw
	 LogData(Report)
   End If
Case "15 BIT RGB"
   WComboItemClk("#201", "15 bit RGB")
   WButtonClick("#1")
   Sleep(1)
   WFndWndWait("VidCap", FW_FOCUS)
   Raw = Mid$(Check("D4"),8,1)
   if Raw <> "3" Then
     Report = "FAILED Changing to 15 Bit RGB, Register D4 = " + Raw
	 LogData(Report)
   End If
Case "YUY2"
   WComboItemClk("#201", "YUY2")
   WButtonClick("#1")
   Sleep(1)
   WFndWndWait("VidCap", FW_FOCUS)
   Raw = Mid$(Check("D4"),8,1)
   if Raw <> "4" Then
     Report = "FAILED Changing to YUY2, Register D4 = " + Raw
	 LogData(Report)
   End If
Case "BTYUV"
   WComboItemClk("#201", "BTYUV")
   WButtonClick("#1")
   Sleep(1)
   WFndWndWait("VidCap", FW_FOCUS)
   Raw = Mid$(Check("D4"),8,1)
   if Raw <> "5" Then
	 Report = "FAILED Changing to BTYUV, Register D4 = " + Raw
	 LogData(Report)
   End If
Case "8 BIT LUMA"
   WComboItemClk("#201", "8 bit luma")
   WButtonClick("#1")
   Sleep(1)
   WFndWndWait("VidCap", FW_FOCUS)
   Raw = Mid$(Check("D4"),8,1)
   if Raw <> "6" Then
     Report = "FAILED Changing to 8 Bit Luma, Register D4 = " + Raw
	 LogData(Report)
   End If
Case "8 BIT PALETTIZED" 
   WComboItemClk("#201", "8 bit Palettized")
   WButtonClick("#1")
   Sleep(1)
   WFndWndWait("VidCap", FW_FOCUS)
   Raw = Mid$(Check("D4"),8,1)
   if Raw <> "7" Then
	 Report = "FAILED Changing to 8 bit Palettized, Register D4 = " + Raw
	 LogData(Report)
   End If
Case "PLANAR 4:2:2"
   WComboItemClk("#201", "Planar 4:2:2")
   WButtonClick("#1")
   Sleep(1)
   WFndWndWait("VidCap", FW_FOCUS)
   Raw = Mid$(Check("D4"),8,1)
   if Raw <> "8" Then
	 Report = "FAILED Changing to Planar 4:2:2, Register D4 = " + Raw
	 LogData(Report)
   End If
Case "PLANAR 4:1:1"
   WComboItemClk("#201", "Planar 4:1:1")
   WButtonClick("#1")
   Sleep(1)
   WFndWndWait("VidCap", FW_FOCUS)
   Raw = Mid$(Check("D4"),8,1)
   if Raw <> "9" then
	Report = "FAILED Changing to Palnar 4:1:1, Register D4 = " + Raw
	LogData(Report)
   End If
Case "YUV9"
   WComboItemClk("#201", "YUV9")
   WButtonClick("#1")
   Sleep(1)
   WFndWndWait("VidCap", FW_FOCUS)
   Raw = Mid$(Check("D4"),8,1)
   if Raw <> "9" then
	Report = "FAILED Changing to YUV9, Register D4 = " + Raw
	LogData(Report)
   End If
Case "YUV12"
   WComboItemClk("#201", "YUV12")
   WButtonClick("#1")
   Sleep(1)
   WFndWndWait("VidCap", FW_FOCUS)
   Raw = Mid$(Check("D4"),8,1)
   if Raw <> "8" then
	Report = "FAILED Changing to YUV12, Register D4 = " + Raw
	LogData(Report)
   End If
Case "RAW ADC DATA"
   WComboItemClk("#201", "Raw ADC Data")
   WButtonClick("#1")
   Sleep(1)
   WFndWndWait("VidCap", FW_FOCUS)
   Raw = Mid$(Check("D4"),8,1)
   if Raw <> "E" Then
      Report = "FAILED Changing to Raw ADC Data, Register D4 = " + Raw
	  LogData(Report)
   End If
Case Else
End Select
 
Exit Function
MsgRecover:	
	'*** Dialogbox appears when invalid video mode is selected ***
	if  WFndWnd("VidCap", FW_DIALOG, Timeout) Then
	   Report = "Capture Error " + StaticText("#65535") + " Occurred"
	   LogData(Report)
	   WButtonClick("#2")
	End If
Resume

End Function



'*** Change Video Source as Check there Val's
Function VideoSource(Source as String) as String
Dim Raw as String
Dim ErrorCondition As Integer
Dim Report as String	

Report = "*** Changing VideoSource to " + Source + " ***"
LogData(Report) 



On Local Error GoTo MsgRecover

'*** Set Asymetrix to Focus ***
WFndWndWait("VidCap", FW_FOCUS or FW_PART)

'*** Open Video Source Window ***
WMenuSelect("&Options\Video &Source...")
WFndWndWait("Video Source", FW_FOCUS)

Select Case Source
Case "Tuner"
   WOptionSelect("#330")	'*** Select Tuner Option ***
   WButtonClick("#1")		'*** Click OK Button ***
   Sleep(.50)
   WFndWndWait("VidCap", FW_FOCUS)
   Raw = Mid$(Check("04"),7,1)
   if Raw <> "4" Then
      if Raw <> "5" then    
	     Report = "FAILED Changing to Tuner, Register 04 = " + Raw
		 LogData(Report)
	  End if
   End if
Case "Composite"
   WOptionSelect("#331")	'*** Select Composite Option ***
   WButtonClick("#1")		'*** Click OK Button ***
   Sleep(.50)
   WFndWndWait("VidCap", FW_FOCUS)
   Raw = Mid$(Check("04"),7,1)
   if Raw <> "6" Then
      if Raw <> "7" then    
         Report = "FAILED Changing to Composite, Register 04 = " + Raw
		 LogData(Report)
	  End if
   End if
Case "SVideo"
   WOptionSelect("#332")	'*** Select SVideo Option ***
   WButtonClick("#1")		'*** Click OK Button ***
   Sleep(.50)
   WFndWndWait("VidCap", FW_FOCUS)
   Raw = Mid$(Check("04"),7,1)
   if Raw <> "2" Then
      If Raw <> "3" then    
         Report = "FAILED Changing to SVideo, Register 04 = " + Raw
		 LogData(Report)
	  End if
   End if
Case Else
   '*** Button dose not exists exit ***
   Report = "Video Source " + Source + " Dose not Exists"	
   LogData(Report)
   Exit Function
End Select

Exit Function
MsgRecover:	
	'*** Dialogbox appears when invalid video mode is selected ***
	if  WFndWnd("VidCap", FW_DIALOG) Then
	   Report =  "Capture Error " + StaticText("#65535") + " Occurred"
	   LogData(Report)
	   WButtonClick("#2")
	End If
Resume

End Function  




'*** Change Color Levels as Check there Val's
Function ColorLevels(Control as String,Value as Integer) as String
Dim Raw as String
Dim Report as String
Dim BinVal as String

On Local Error GoTo MsgRecover

'*** Set Asymetrix to Focus ***
WFndWndWait("VidCap", FW_FOCUS or FW_PART)

'*** Video Format Dialog Box ***
WMenuSelect("&Options\Video &Source...")
WFndWndWait("Video Source", FW_FOCUS)

Select Case Control
Case "Brightness"
   WEditSetText("#322",str$(Value))
   WButtonClick("#1")
   sleep .5
   WFndWndWait("VidCap", FW_FOCUS or FW_PART)
   
   Select Case Value
   Case 0	'*** Brightness 0% ***
      Raw = Mid$(Check("28"),7,2)
      if Raw <> "80" then    
         Report = "FAILED Changing Brightness to 0%, Register 28 = " + Raw
		 LogData(Report)
      End if
   Case 64	'*** Brightness 25% ***
      Raw = Mid$(Check("28"),7,2)
      if Raw <> "C0" then    
         Report = "FAILED Changing Brightness to 25%, Register 28 = " + Raw
		 LogData(Report)
      End if
   Case 128	'*** Brightness 50% ***
      Raw = Mid$(Check("28"),7,2)
      if Raw <> "00" then    
         Report = "FAILED Changing Brightness to 50%, Register 28 = " + Raw
		 LogData(Report)
      End if
   Case 192	'*** Brightness 75% ***
      Raw = Mid$(Check("28"),7,2)
      if Raw <> "40" then    
         Report = "FAILED Changing Brightness to 75%, Register 28 = " + Raw
		 LogData(Report)
      End if
   Case 255	'*** Brightness 100% ***
      Raw = Mid$(Check("28"),7,2)
      if Raw <> "7F" then    
         Report = "FAILED Changing Brightness to 100%, Register 28 = " + Raw
		 LogData(Report)
      End if
   Case Else
      Report =  Str$(Value)+ " Dose not Exist for Brightness"
	  LogData(Report)
	  Exit Function
   End Select
   

Case "Contrast"
   WEditSetText("#323",str$(Value))
   WButtonClick("#1")
   sleep .5
   WFndWndWait("VidCap", FW_FOCUS or FW_PART)
   Select Case Value
   Case 0	'*** Contrast 0% ***
      Raw = Mid$(Check("AC"),8,1)
	  BinVal = mid$(Hex2Bin(Raw),2,1)
      if BinVal <> "0" then    
         Report = "FAILED Changing Contrast to 0%, Register AC = " + Raw
		 LogData(Report)
      End if
      Raw = Mid$(Check("2C"),8,1)
	  BinVal = mid$(Hex2Bin(Raw),2,1)
      if BinVal <> "0" then    
         Report = "FAILED Changing Contrast to 0%, Register 2C = " + Raw
		 LogData(Report)
      End if
      Raw = Mid$(Check("30"),7,2)
      if Raw <> "00" then    
         Report = "FAILED Changing Contrast to 0%, Register 30 = " + Raw
		 LogData(Report)
      End if
   Case 64	'*** Contrast 25% ***
      Raw = Mid$(Check("AC"),8,1)
	  BinVal = mid$(Hex2Bin(Raw),2,1)
      if BinVal <> "0" then    
         Report = "FAILED Changing Contrast to 25%, Register AC = " + Raw
		 LogData(Report)
      End if
      Raw = Mid$(Check("2C"),8,1)
	  BinVal = mid$(Hex2Bin(Raw),2,1)
      if BinVal <> "0" then    
         Report = "FAILED Changing Contrast to 25%, Register 2C = " + Raw
		 LogData(Report)
      End if						   
      Raw = Mid$(Check("30"),7,2)
      if Raw <> "6B" then    
         Report = "FAILED Changing Contrast to 25%, Register 30 = " + Raw
		 LogData(Report)
      End if
   Case 128	'*** Contrast 50% ***
      Raw = Mid$(Check("AC"),8,1)
	  BinVal = mid$(Hex2Bin(Raw),2,1)
      if BinVal <> "0" then    
         Report = "FAILED Changing Contrast to 50%, Register AC = " + Raw
		 LogData(Report)
      End if
      Raw = Mid$(Check("2C"),8,1)
	  BinVal = mid$(Hex2Bin(Raw),2,1)
      if BinVal <> "0" then    
         Report = "FAILED Changing Contrast to 50%, Register 2C = " + Raw
		 LogData(Report)
      End if
      Raw = Mid$(Check("30"),7,2)
      if Raw <> "D7" then    
         Report = "FAILED Changing Contrast to 50%, Register 30 = " + Raw
		 LogData(Report)
      End if
   Case 192	'*** Contrast 75% ***
      Raw = Mid$(Check("AC"),8,1)
	  BinVal = mid$(Hex2Bin(Raw),2,1)
      if BinVal <> "1" then    
         Report = "FAILED Changing Contrast to 75%, Register AC = " + Raw
		 LogData(Report)
      End if
      Raw = Mid$(Check("2C"),8,1)
	  BinVal = mid$(Hex2Bin(Raw),2,1)
      if BinVal <> "1" then    
         Report = "FAILED Changing Contrast to 75%, Register 2C = " + Raw
		 LogData(Report)
      End if
      Raw = Mid$(Check("30"),7,2)
      if Raw <> "6C" then    
         Report = "FAILED Changing Contrast to 75%, Register 30 = " + Raw
		 LogData(Report)
      End if
   Case 255	'*** Contrast 100% ***
      Raw = Mid$(Check("AC"),8,1)
	  BinVal = mid$(Hex2Bin(Raw),2,1)
      if BinVal <> "1" then    
         Report = "FAILED Changing Contrast to 100%, Register AC = " + Raw
		 LogData(Report)
      End if
      Raw = Mid$(Check("2C"),8,1)
	  BinVal = mid$(Hex2Bin(Raw),2,1)
      if BinVal <> "1" then    
         Report = "FAILED Changing Contrast to 100%, Register 2C = " + Raw
		 LogData(Report)
      End if
      Raw = Mid$(Check("30"),7,2)
      if Raw <> "FF" then    
         Report = "FAILED Changing Contrast to 100%, Register 30 = " + Raw
		 LogData(Report)
      End if
   Case Else
      Report = Str$(Value) + " Dose not Exist for Contrast"
	  LogData(Report)
      Exit Function
   End Select

Case "Saturation"
   WEditSetText("#321",str$(Value))
   WButtonClick("#1")
   sleep .5
   WFndWndWait("VidCap", FW_FOCUS or FW_PART)
   Select Case Value
   Case 0	'*** Saturation 0% ***
      Raw = Mid$(Check("34"),7,2)
      if Raw <> "00" then    
         Report = "FAILED Changing to Saturation to 0%, Register 34 = " + Raw
		 LogData(Report)
      End if
      Raw = Mid$(Check("38"),7,2)
      if Raw <> "00" then    
         Report = "FAILED Changing to Saturation to 0%, Register 38 = " + Raw
		 LogData(Report)
      End if
      Raw = Mid$(Check("2C"),8,1)
	  BinVal = mid$(Hex2Bin(Raw),3,2)
      if BinVal <> "00" then    
         Report = "FAILED Changing to Saturation to 0%, Register 2C = " + Raw
		 LogData(Report)
      End if
      Raw = Mid$(Check("AC"),8,1)
	  BinVal = mid$(Hex2Bin(Raw),3,2)
      if BinVal <> "00" then    
         Report = "FAILED Changing to Saturation to 0%, Register AC = " + Raw
		 LogData(Report)
      End if
   Case 64	'*** Saturation 25% ***
      Raw = Mid$(Check("34"),7,2)
      if Raw <> "7F" then    
         Report = "FAILED Changing to Saturation to 25%, Register 34 = " + Raw
		 LogData(Report)
      End if
      Raw = Mid$(Check("38"),7,2)
      if Raw <> "5A" then    
         Report = "FAILED Changing to Saturation to 25%, Register 38 = " + Raw
		 LogData(Report)
      End if
      Raw = Mid$(Check("2C"),8,1)
	  BinVal = mid$(Hex2Bin(Raw),3,2)
      if BinVal  <> "00" then    
         Report = "FAILED Changing to Saturation to 25%, Register 2C = " + Raw
		 LogData(Report)
      End if
      Raw = Mid$(Check("AC"),8,1)
	  BinVal = mid$(Hex2Bin(Raw),3,2)
      if BinVal <> "00" then    
         Report = "FAILED Changing to Saturation to 25%, Register AC = " + Raw
		 LogData(Report)
      End if
   Case 128	'*** Saturation 50% ***
      Raw = Mid$(Check("34"),7,2)
      if Raw <> "FE" then    
         Report = "FAILED Changing to Saturation to 50%, Register 34 = " + Raw
		 LogData(Report)
      End if
      Raw = Mid$(Check("38"),7,2)
      if Raw <> "B4" then    
         Report = "FAILED Changing to Saturation to 50%, Register 38 = " + Raw
		 LogData(Report)
      End if
      Raw = Mid$(Check("2C"),8,1)
	  BinVal = mid$(Hex2Bin(Raw),3,2)
      if BinVal <> "00" then    
         Report = "FAILED Changing to Saturation to 50%, Register 2C = " + Raw
		 LogData(Report)
      End if
      Raw = Mid$(Check("AC"),8,1)
	  BinVal = mid$(Hex2Bin(Raw),3,2)
      if BinVal <> "00" then    
         Report = "FAILED Changing to Saturation to 50%, Register AC = " + Raw
		 LogData(Report)
      End if
   Case 192	'*** Saturation 75% ***
     Raw = Mid$(Check("34"),7,2)
      if Raw <> "7F" then    
         Report = "FAILED Changing to Saturation to 75%, Register 34 = " + Raw
		 LogData(Report)
      End if
      Raw = Mid$(Check("38"),7,2)
     if Raw <> "0F" then    
         Report = "FAILED Changing to Saturation to 75%, Register 38 = " + Raw
		 LogData(Report)
      End if
      Raw = Mid$(Check("2C"),8,1)
	  BinVal = mid$(Hex2Bin(Raw),3,2)
      if BinVal <> "11" then    
         Report = "FAILED Changing to Saturation to 75%, Register 2C = " + Raw
		 LogData(Report)
      End if
      Raw = Mid$(Check("AC"),8,1)
	  BinVal = mid$(Hex2Bin(Raw),3,2)
      if BinVal <> "11" then    
         Report = "FAILED Changing to Saturation to 75%, Register AC = " + Raw
		 LogData(Report)
      End if
   Case 255	'*** Saturation 100% ***
      Raw = Mid$(Check("34"),7,2)
      if Raw <> "FF" then    
         Report = "FAILED Changing to Saturation to 100%, Register 34 = " + Raw
		 LogData(Report)
      End if
      Raw = Mid$(Check("38"),7,2)
      if Raw <> "6A" then    
         Report = "FAILED Changing to Saturation to 100%, Register 38 = " + Raw
		 LogData(Report)
      End if
      Raw = Mid$(Check("2C"),8,1)
	  BinVal =  mid$(Hex2Bin(Raw),3,2)
      if BinVal <> "11" then    
         Report = "FAILED Changing to Saturation to 100%, Register 2C = " + Raw
		 LogData(Report)
      End if
      Raw = Mid$(Check("AC"),8,1)
	  BinVal = mid$(Hex2Bin(Raw),3,2)
      if BinVal <> "11" then    
         Report = "FAILED Changing to Saturation to 100%, Register AC = " + Raw
		 LogData(Report)
      End if
   Case Else
      Report = Str$(Value)+ " Dose not Exist for Contrast"
	  LogData(Report)
	  Exit Function
   End Select

Case "Hue"
   WEditSetText("#320",str$(Value))
   WButtonClick("#1")
   sleep .5
   WFndWndWait("VidCap", FW_FOCUS or FW_PART)
   Select Case Value
   Case 0	'*** Hue 0% ***
      Raw = Mid$(Check("3C"),7,2)
      if Raw <> "7F" then    
         Report = "FAILED Changing Hue to 0%, Register 3C = " + Raw
		 LogData(Report)
      End if
   Case 64	'*** Hue 25% ***
      Raw = Mid$(Check("3C"),7,2)
      if Raw <> "40" then    
         Report = "FAILED Changing Hue to 25%, Register 3C = " + Raw
		 LogData(Report)
      End if
   Case 128	'*** Hue 50% ***
      Raw = Mid$(Check("3C"),7,2)
      if Raw <> "00" then    
         Report = "FAILED Changing Hue to 50%, Register 3C = " + Raw
		 LogData(Report)
      End if
   Case 192	'*** Hue 75% ***
      Raw = Mid$(Check("3C"),7,2)
      if Raw <> "C0" then    
         Report = "FAILED Changing Hue to 75%, Register 3C = " + Raw
		 LogData(Report)
      End if
   Case 255	'*** Hue  100% ***
      Raw = Mid$(Check("3C"),7,2)
      if Raw <> "80" then    
         Report = "FAILED Changing Hue to 100%, Register 3C = " + Raw
		 LogData(Report)
      End if
   Case Else
      Report = Str$(Value)+ " Dose not Exist for Hue"      
	  LogData(Report)
	  Exit Function
   End Select
End Select

Exit Function
MsgRecover:	
	'*** Dialogbox appears when invalid video mode is selected ***
	if  WFndWnd("VidCap", FW_DIALOG) Then
	   Report =	 "Capture Error " + StaticText("#65535") + " Occurred"
	   LogData(Report)
	   WButtonClick("#2")
	End If
Resume


End Function




'*** Change Video Goodies and check there Val's
Function VideoGoodies(Control as String, Value as Integer) as String
'*** Set Asymetrix to Focus ***
WFndWndWait("VidCap", FW_FOCUS or FW_PART)
End Function




Function Check(Register as String) as String
   WFndWndC("Bt848 Register Dialog", "OwlWindow", FW_FOCUS)
   WEditSetText("#101", Register)
   WButtonClick("#103")	'*** Click OK Button ***
   Check = EditText("#102")	'*** Return Data EditBox
End Function


Function ColorTest() as String
   LogData("*** Starting Color Test ***")
Dim b(4) as Integer, c(4) as Integer
Dim Counter1 as Integer, Counter2 as Integer
Dim s(4) as Integer, h(4) as Integer
Dim Counter3 as Integer, Counter4 as Integer


'*** Array for Brightness ***
b(0) = 0
b(1) = 64
b(2) = 128
b(3) = 192
b(4) = 255
'*** Array for Contrast ***
c(0) = 0
c(1) = 64
c(2) = 128
c(3) = 192
c(4) = 255
'*** Array for Saturation ***
s(0) = 0
s(1) = 64
s(2) = 128
s(3) = 192
s(4) = 255
'*** Array for Hue ***
h(0) = 0
h(1) = 64
h(2) = 128
h(3) = 192
h(4) = 255
For Counter1 = 1 to 4
 ColorLevels("Brightness",b(Counter1)) '*** Increment throught all Bright Values ***
    For Counter2 = 1 to 4 
	 ColorLevels("Contrast",c(Counter2)) '*** Increment throught all Contrast Values ***
	    For Counter3 = 1 to 4 
		 ColorLevels("Saturation", s(Counter3)) '*** Increment through all Saturation Values ***
			For Counter4 = 1 to 4
			 ColorLevels("Hue", h(Counter4)) '*** Increment throught all Hue Values ***
			Next Counter4
		Next Counter3
	Next Counter2
Next Counter1
End Function
