
 /* NOTICE:                                             */
 /* THIS CODE IS NOT SUPPORTED, WARRANTED OR GUARANTEED */
 /* IN ANY WAY BY BROOKTREE CORPORATION.                */
 /* IT IS PROVIDED "AS IS" BECAUSE WE BELIEVE IT MAY    */
 /* BE USEFUL TO YOU.                                   */


/////////////////////////////////////////////////////////////////////////////
//
//  Copyright (c) 1996 Brooktree Corporation. All Rights Reserved.
//
//  Module:
//
//    Bt848Fcn.h
//
//  Abstract:
//
//    Header file for functions in BT848 DLL
//
/////////////////////////////////////////////////////////////////////////////

#ifndef __BT848FCN_H
#define __BT848FCN_H

#include "def__.h"      // define __BT848CLASS & __BT848FUNC

#ifndef __WINDOWS_H
#include <windows.h>
#endif

#include "gpiotype.h"
#include "viddefs.h"
#include "retcode.h"


#ifdef __cplusplus
extern "C"
{
#endif

//---------------------------------------------------------------------------
// Functions communicate with Bt848 DLL
//---------------------------------------------------------------------------
ErrorCode __BT848FUNC Bt848SetVideoSource( Connector conn );
ErrorCode __BT848FUNC Bt848GetVideoSource( Connector * conn );
ErrorCode __BT848FUNC Bt848SetBrightness( int brightness );
ErrorCode __BT848FUNC Bt848GetBrightness( int * brightness );
ErrorCode __BT848FUNC Bt848SetContrast( int contrast );
ErrorCode __BT848FUNC Bt848GetContrast( int * contrast );
ErrorCode __BT848FUNC Bt848SetHue( int hue );
ErrorCode __BT848FUNC Bt848GetHue( int * hue );
ErrorCode __BT848FUNC Bt848SetSaturation( int sat );
ErrorCode __BT848FUNC Bt848GetSaturation( int * sat );
ErrorCode __BT848FUNC Bt848PreChannelChange( int channel );
ErrorCode __BT848FUNC Bt848ChannelChanged( int channel );

#ifdef __cplusplus
}
#endif

#endif // __BT848FCN_H
                         
