
 /* NOTICE:                                             */
 /* THIS CODE IS NOT SUPPORTED, WARRANTED OR GUARANTEED */
 /* IN ANY WAY BY BROOKTREE CORPORATION.                */
 /* IT IS PROVIDED "AS IS" BECAUSE WE BELIEVE IT MAY    */
 /* BE USEFUL TO YOU.                                   */


/* File: Api.h */

#ifndef __API_H
#define __API_H

#ifndef __WINDOWS_H
#include <windows.h>
#endif

#ifndef __RETCODE_H
#include "retcode.h"
#endif

#include "dcdrvals.h"

#ifdef __cplusplus
extern "C" {
#endif

#define LimitRange( Val, Low, Hi ) ( max( Low,( min( Val,Hi ) ) ) )


#ifndef __VIDDEFS_H
#include "viddefs.h"
#endif

#ifndef __COLFRMAT_H
#include "colfrmat.h"
#endif

#ifndef CC_CALLBACK_DEFINED
// CC callback
typedef void ( CALLBACK *CC_CALLBACK)( LPCSTR, int );
#define CC_CALLBACK_DEFINED
#endif

void WINAPI SetCCCallback( CC_CALLBACK );
  
// external video in channel
ErrorCode WINAPI SetConnector( Connector AConn, BOOL ApplyImm );
ErrorCode WINAPI SetSVideo( State aState );
ErrorCode WINAPI SetBrightness( int percentOfFullScale );
ErrorCode WINAPI SetContrast( int percentOfFullScale );
ErrorCode WINAPI SetHue( int degrees );
ErrorCode WINAPI SetSaturation( int percentOfFullScale );
ErrorCode WINAPI SetVideoFormat( VideoFormat aFormat );
ErrorCode WINAPI SetCCStatus( int );
void      WINAPI SetCCFileName( LPCSTR name );
void      WINAPI SetCCAlert( LPCSTR token );
void      WINAPI GetCCFileName( LPSTR name, int cnt );
void      WINAPI GetCCAlert( LPSTR token, int cnt );
DWORD     WINAPI GetStatus();
// video in channel
ErrorCode WINAPI SetImage( LPRECT lpRect, ColFmt aFormat );

// 'get' group
Connector   WINAPI GetConnector( void );
State       WINAPI GetSVideo( void );
VideoFormat WINAPI GetVideoFormat( void );
int         WINAPI GetBrightness( void );
int         WINAPI GetContrast( void );
int         WINAPI GetHue( void );
int         WINAPI GetSaturation( void );
int         WINAPI GetImageFormat( ColFmt *pColFrmt );
void        WINAPI GetImageSize( LPRECT lpR );
int         WINAPI GetCCStatus( void );

void WINAPI _export Pause();
void WINAPI _export Continue();

ErrorCode   WINAPI Initialize( void );
void        WINAPI Disconnect( void );
DWORD       WINAPI GetOverlayFlags( void );


#ifdef __cplusplus
}
#endif

#endif
